Runtime

## org.eclipse.gmf.runtime.notation
Interface DescriptionStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  DiagramStyle, ShapeStyle

All Known Implementing Classes:
  DescriptionStyleImpl, DiagramStyleImpl, ShapeStyleImpl

    public interface DescriptionStyle

extends Style

A representation of the model object 'Description Style'.

A style to be installed on views to give them description texts

The following features are supported:

- `Description`

See Also:
  `NotationPackage.getDescriptionStyle()`
** Generated **
Model:

Method Summary
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`void` `setDescription(java.lang.String value)` Sets the value of the '`Description`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDescription

    java.lang.String getDescription()

  Returns the value of the 'Description' attribute. The default value is `""`.

  Returns:
    the value of the 'Description' attribute.
  See Also:
    `setDescription(String)`, `NotationPackage.getDescriptionStyle_Description()`
  ** Generated **
  Model:
    default=""

### setDescription

    void setDescription(java.lang.String value)

  Sets the value of the '`Description`' attribute.

  Parameters:
    `value` - the new value of the 'Description' attribute.
  See Also:
    `getDescription()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.